Insertar un bloque y centrarlo

Ver el tema anterior Ver el tema siguiente Ir abajo

Insertar un bloque y centrarlo

Mensaje por JGC0423 el Mar Nov 22, 2016 7:46 pm

Hola a tod@s

Soy nuevo en este foro pero fui integrante del grupo de HISPACAD, y buscando un solución a mi situación encontré este nuevo foro que por lo que veo aquí hay varios integrantes de HISPACAD saludos amigos
Ahora por este medio solicito su ayuda para conseguir una rutina que pueda insertar un bloque que al insertarlo lo ubique al centro del objeto que se seleccione, ya sea un circulo, un rectángulo, un pentágono en fin cualquier figura geométrica.....

Se puede hacer esto... ???

les agradecería su gran ayuda

Saludos desde México....

JGC0423

Mensajes : 7
Fecha de inscripción : 19/07/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por Marco Jacinto el Miér Nov 23, 2016 4:37 pm

Buscando en internet encontre esto

Como obtener el centroide de una figura
https://www.google.com.mx/webhp?sourceid=chrome-instant&ion=1&espv=2&ie=UTF-8#q=centroide+autocad+LISP

Y como insertar el bloque
https://www.google.com.mx/webhp?sourceid=chrome-instant&ion=1&espv=2&ie=UTF-8#q=insertar+bloque+lisp

Trata creando algo, de ahi resolver tus dudas será un placer para muchos de los que asistimos a este foro.

Saludos

Marco Jacinto

Mensajes : 7
Fecha de inscripción : 12/08/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por JGC0423 el Miér Nov 23, 2016 4:57 pm

Buen día maestro Marco Jacinto

Agradezco tu ayuda y gracias por la pronta respuesta...

Voy a seguir tu consejo y de ahí vemos que se puede mejorar, a poner manos a la obra....

espero que no haya muchas dudas

Saludos desde México

JGC0423

Mensajes : 7
Fecha de inscripción : 19/07/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por JGC0423 el Miér Nov 23, 2016 5:51 pm

Hola Foro

entre al link que me comento el Maestro Marco Jacinto y encontré dos rutinas que me funcionaron para lo que estoy solicitando su ayuda

también hice algunas pruebas y me funciona muy bien con respecto a lo que yo necesito... gracias por la ayuda...
Ahora después de hacer dicha prueba de estas rutinas de lisp.... me surgió una duda y es la siguiente:

tengo dos rutinas la primera se llama centroide.lsp - esta coloca un punto al centro de cualquier polígono, el problema es de se tiene que seleccionar de uno en uno

La segunda se llama insertmb.lsp - con esta rutina inserto los bloques que necesito y también es la misma situación de la anterior, se tiene que seleccionar el polígono de uno en uno para insertar el bloque

Mi propuesta es si se puede unir ambas rutinas para que al seleccionar todos lo polígonos necesarios se inserte el bloque....

O que tengo que hacer para que en cada rutina se pueda seleccionar varios objetos al mismo tiempo..?

me gustaría compartir estas dos rutinas con el foro pero no encuentro la forma de anexar algún archivo....

alguien me puede decir como subir un archivo aquí en el foro...?

Gracias de antemano

Saludos desde México

JGC0423

Mensajes : 7
Fecha de inscripción : 19/07/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por Marco Jacinto el Miér Nov 23, 2016 8:11 pm

Creo que la opcion es poner el link a un vinculo de DropBox o Google drive

Marco Jacinto

Mensajes : 7
Fecha de inscripción : 12/08/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por JGC0423 el Miér Nov 23, 2016 8:39 pm

Marco Jacinto escribió:Creo que la opcion es poner el link a un vinculo de DropBox o Google drive

https://www.dropbox.com/sh/yhhjp7gxba4wzu5/AABBNPOTwmIT7aC9HojKkEPqa?dl=0

haber si ahora se puede....?

Saludos

JGC0423

Mensajes : 7
Fecha de inscripción : 19/07/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por bernie67 el Jue Nov 24, 2016 3:15 am

Inserta un bloque en el centro de todos los círculos del dibujo.
(defun c:c2b (/ nombl conjbl cant n pins)
(setvar 'cmdecho 0)
(setq nombl (cdr (assoc 2 (entget (car (entsel "\nIndica bloque a insertar: "))))))
(setq conjbl (ssget "_x" '((0 . "CIRCLE"))))
(setq cant (sslength conjbl))
(setq n 0)
(repeat cant
(ssname conjbl n)
(setq pins (cdr (assoc 10 (entget (ssname conjbl n)))))
(setq pins (trans pins 0 1))
(command "_insert" nombl pins 1 1 0)
(setq n (1+ n))
)
(prin1)
)

bernie67

Mensajes : 31
Fecha de inscripción : 22/03/2016
Edad : 49
Localización : Bogota DC-Colombia

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por bernie67 el Jue Nov 24, 2016 3:16 am

Y si modificas que no ponga un punto, si no un circulo?
Saludos

bernie67

Mensajes : 31
Fecha de inscripción : 22/03/2016
Edad : 49
Localización : Bogota DC-Colombia

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por JGC0423 el Jue Nov 24, 2016 3:33 pm

Hola Bernie67

Agradezco tu opinión y tu ayuda y es muy buena pero creo que en este caso no seria buena opción de que se inserte en un circulo, porque en el dibujo es mas fácil que exista un circulo que un punto, tu rutina es mas practica que la que yo compartí, pues con esta no se tiene que estar seleccionando cada figura en la que se deba insertar el bloque, le hice una pequeña modificación a tu rutina para que en lugar de insertar en todos los círculos lo hiciera en todos lo puntos, así quedaría....

Inserta un bloque en el centro de todos los círculos del dibujo.
(defun c:c2b (/ nombl conjbl cant n pins)
(setvar 'cmdecho 0)
(setq nombl (cdr (assoc 2 (entget (car (entsel "\nIndica bloque a insertar: "))))))
(setq conjbl (ssget "_x" '((0 . "POINT"))))
(setq cant (sslength conjbl))
(setq n 0)
(repeat cant
(ssname conjbl n)
(setq pins (cdr (assoc 10 (entget (ssname conjbl n)))))
(setq pins (trans pins 0 1))
(command "_insert" nombl pins 1 1 0)
(setq n (1+ n))
)
(prin1)
)

Ahora teniendo esta rutina, de que forma se pueden vincular las rutinas de centroide con esta otra, para que esto sea haga con una sola opción...

Saludos desde México

JGC0423

Mensajes : 7
Fecha de inscripción : 19/07/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por bernie67 el Vie Nov 25, 2016 1:54 am

Desafortunadamente yo solo soy usuario, no tengo mayor conocimiento en lisp. Pero mira si con esto resuelves tu problema

http://www.arkisoft.es/utilidades-cad/gratis/categorias-arkitool/46-arkitool-calculo-e-informacion/544-calcula-y-marca-el-centro-de-gravedad-de-una-polilinea-o-region

bernie67

Mensajes : 31
Fecha de inscripción : 22/03/2016
Edad : 49
Localización : Bogota DC-Colombia

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por jademar el Vie Nov 25, 2016 11:31 am

Hola a tod@s

En http://www.cadtutor.net/forum/showthread.php?2023-LISP-for-marks-Centroids-of-closed-polylines&s=2f7f9042b93d65f3195addb07effd6b7 hay varias que insertan un point en un montón de plines cerradas de una vez.

Yo probé la primera (polycen.lsp) en Acad 2010 inglés.

Saludos

jademar

Mensajes : 8
Fecha de inscripción : 03/04/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por JGC0423 el Vie Nov 25, 2016 3:39 pm

Perfecto Amigo Bernie67

Las dos opciones están perfectas, con esto me solucionan mucho mi problema y sobre todo ahorro tiempo...

Gracias por la ayuda estamos en contacto

Saludos desde Mexico

JGC0423

Mensajes : 7
Fecha de inscripción : 19/07/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por bernie67 el Vie Nov 25, 2016 6:51 pm

Gracias por el dato Jademar. Y con gusto JGC0423
Un saludo desde Colombia
Bernardo Corradine

bernie67

Mensajes : 31
Fecha de inscripción : 22/03/2016
Edad : 49
Localización : Bogota DC-Colombia

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por JGC0423 el Vie Nov 25, 2016 6:58 pm

Perdón pero creo que me falto agradecer a Jademar por su aportación

Saludos desde México

JGC0423

Mensajes : 7
Fecha de inscripción : 19/07/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Insertar un bloque y centrarlo

Mensaje por Contenido patrocinado Hoy a las 10:58 pm


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.